libzypp 17.37.10

MediaHandler.h File Reference
`#include <any>`
`#include <iosfwd>`
`#include <string>`
`#include <list>`
`#include <zypp/Pathname.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/media/MediaSource.h>`
`#include <zypp-media/MediaException>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp-core/MirroredOrigin.h>`

Go to the source code of this file.

## Classes
class | zypp::media::MediaHandler
| Abstract base class for 'physical' MediaHandler like MediaCD, etc. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::media"

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::media"

Definition at line 32 of file MediaHandler.h.